
package me.zeus.MoarStuff.Events;


import me.zeus.MoarStuff.MoarStuff;
import me.zeus.MoarStuff.Resource.MSRod;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerFishEvent;
import org.bukkit.inventory.ItemStack;



public class PlayerFishEventHandler implements Listener {

    // =============================================================================================

    private MoarStuff plugin;

    public PlayerFishEventHandler(MoarStuff plugin)
    {
        this.plugin = plugin;
    }

    // =============================================================================================

    @EventHandler
    public void onFish(final PlayerFishEvent e)
    {
        Player p = e.getPlayer();

        if (e.getCaught() != null)
        {
            if (p.getItemInHand() != null && p.getItemInHand().hasItemMeta() && p.getItemInHand().getItemMeta().hasLore())
            {
                ItemStack hand = p.getItemInHand();

                for (MSRod rod : plugin.loadedRods)
                {
                    if (hand.getItemMeta().getLore().contains(rod.getSpecialKey().toLowerCase()))
                    {
                        rod.execute(e);
                    }
                }
            }
        }
    }
    // =============================================================================================

}
