
package me.zeus.MoarStuff.Events;


import me.zeus.MoarStuff.MoarStuff;
import me.zeus.MoarStuff.Resource.MSFood;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerItemConsumeEvent;
import org.bukkit.inventory.ItemStack;



public class PlayerItemConsumeEventHandler implements Listener {

    private MoarStuff plugin;

    public PlayerItemConsumeEventHandler(MoarStuff plugin)
    {
        this.plugin = plugin;
    }

    @EventHandler
    public void onConsume(PlayerItemConsumeEvent e)
    {
        Player p = e.getPlayer();
        ItemStack hand = p.getItemInHand();
        if (hand.hasItemMeta() && hand.getItemMeta().hasLore())
        {
            for (MSFood food : plugin.loadedFoods)
            {
                if (hand.getItemMeta().getLore().contains(food.getSpecialKey()))
                {
                    food.execute(e);
                }
            }
        }
    }
}
