
package me.zeus.MoarStuff.Events;


import me.zeus.MoarStuff.MoarStuff;
import me.zeus.MoarStuff.Resource.MSBow;

import org.bukkit.entity.Arrow;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.ProjectileHitEvent;
import org.bukkit.inventory.ItemStack;



public class ProjectileHitEventHandler implements Listener {

    //============================================================================\\

    private MoarStuff plugin;

    public ProjectileHitEventHandler(MoarStuff plugin)
    {
        this.plugin = plugin;
    }

    //============================================================================\\

    @EventHandler
    public void onProjectileHit(ProjectileHitEvent event)
    {
        if (event.getEntity() instanceof Arrow)
        {
            Arrow arrow = (Arrow) event.getEntity();
            if (arrow.getShooter() instanceof Player)
            {
                Player shooter = (Player) arrow.getShooter();
                ItemStack iih = shooter.getItemInHand();

                if (iih != null && iih.hasItemMeta() && iih.getItemMeta().hasDisplayName())
                {
                    for (MSBow bow : plugin.loadedBows)
                    {
                        if (iih.getItemMeta().getLore().contains(bow.getSpecialKey()))
                        {
                            bow.executeHit(event);
                        }
                    }
                }
            }
        }

    }

    //============================================================================\\

}
