
package me.zeus.MoarStuff.Events;


import me.zeus.MoarStuff.MoarStuff;
import me.zeus.MoarStuff.Resource.MSBow;

import org.bukkit.entity.Arrow;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.ProjectileLaunchEvent;
import org.bukkit.inventory.ItemStack;



public class ProjectileLaunchEventHandler implements Listener {

    //============================================================================\\

    private MoarStuff plugin;

    public ProjectileLaunchEventHandler(MoarStuff plugin)
    {
        this.plugin = plugin;
    }

    @EventHandler
    public void onBowFire(final ProjectileLaunchEvent event)
    {
        if (event.getEntity() instanceof Arrow)
        {
            final Arrow arrow = (Arrow) event.getEntity();
            if (arrow.getShooter() instanceof Player)
            {                
                final Player shooter = (Player) arrow.getShooter();
                final ItemStack iih = shooter.getItemInHand();

                if (iih != null && iih.hasItemMeta() && iih.getItemMeta().hasLore())
                {
                    for (MSBow bow : plugin.loadedBows)
                    {
                        if (iih.getItemMeta().getLore().contains(bow.getSpecialKey()))
                        {
                            bow.executeShoot(event);
                        }
                    }
                }
            }
        }
    }

    //============================================================================\\

}
