
package me.zeus.MoarStuff.Commands;


import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.BookMeta;



public class BookCommand implements CommandExecutor {

    // ============================================================================================= \\

    ChatColor gold = ChatColor.GOLD;
    ChatColor red = ChatColor.RED;
    ChatColor darkred = ChatColor.DARK_RED;
    ChatColor aqua = ChatColor.AQUA;
    ChatColor darkaqua = ChatColor.DARK_AQUA;
    ChatColor green = ChatColor.GREEN;
    ChatColor darkgreen = ChatColor.DARK_GREEN;
    ChatColor darkpurple = ChatColor.DARK_PURPLE;
    ChatColor lightpurple = ChatColor.LIGHT_PURPLE;
    ChatColor pink = ChatColor.LIGHT_PURPLE;
    ChatColor black = ChatColor.BLACK;
    ChatColor white = ChatColor.WHITE;
    ChatColor bold = ChatColor.BOLD;
    ChatColor italics = ChatColor.ITALIC;
    ChatColor underline = ChatColor.UNDERLINE;
    String prefix = "7[eMoarStuff7]r ";

    // ============================================================================================= \\

    @Override
    public boolean onCommand(final CommandSender sender, final Command cmd, final String label, final String[] args)
    {
        if (sender instanceof Player)
        {
            if (sender.hasPermission("MoarStuff.Commands.Book"))
            {
                giveBook((Player) sender);
            } else
            {
                sender.sendMessage(prefix + "4You don't have permission: aMoarStuff.Util.Commands.Book");
            }
        }
        return false;
    }

    // ============================================================================================= \\

    private void giveBook(final Player p)
    {
        ItemStack book = new ItemStack(Material.WRITTEN_BOOK, 1);
        BookMeta meta = (BookMeta) book.getItemMeta();
        meta.setDisplayName(ChatColor.LIGHT_PURPLE + "MoarStuff - GUIDE");
        meta.addPage("Thank you for downloading MoarStuff! Setup is very simple. \n Please check the Dev.Bukkit.org page for example!");
        book.setItemMeta(meta);
        p.getInventory().addItem(book);
    }

    // ============================================================================================= \\

}
