
package me.zeus.MoarStuff.Commands;


import me.zeus.MoarStuff.MoarStuff;
import me.zeus.MoarStuff.Resource.MSBow;
import me.zeus.MoarStuff.Resource.MSRod;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;



public class GiveCommand implements CommandExecutor {

    private MoarStuff plugin;

    public GiveCommand(MoarStuff plugin)
    {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args)
    {
        if (sender instanceof Player)
        {
            if (sender.hasPermission("MoarStuff.Commands.Give"))
            {
                if (args.length >= 1)
                {
                    for (MSRod rod : plugin.loadedRods)
                    {
                        if (args[0].equalsIgnoreCase(rod.getFileName()))
                        {
                            ((Player) sender).getInventory().addItem(rod.getAsItem());

                        }
                    }
                    for (MSBow bow : plugin.loadedBows)
                    {
                        if (args[0].equalsIgnoreCase(bow.getFileName()))
                        {
                            ((Player) sender).getInventory().addItem(bow.getAsItem());
                        }
                    }
                } else
                {
                    sender.sendMessage(ChatColor.RED + "You must specify a MoarStuff item to give!");
                }
            } else
            {
                sender.sendMessage(ChatColor.RED + "You don't have permission to give yourself a MoarStuff item!");
            }
        } else
        {
            sender.sendMessage(ChatColor.RED + "You must be a player to give yourself a MoarStuff item!");
        }
        return false;
    }
}
