
package me.zeus.MoarStuff.Events;


import me.zeus.MoarStuff.MoarStuff;
import me.zeus.MoarStuff.Resource.MSBow;
import me.zeus.MoarStuff.Resource.MSFood;
import me.zeus.MoarStuff.Resource.MSRod;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.CraftItemEvent;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.Recipe;



public class CraftItemEventHandler implements Listener {

    private MoarStuff plugin;

    public CraftItemEventHandler(MoarStuff plugin)
    {
        this.plugin = plugin;
    }

    private String prefix = "7[eMoarStuff7]r ";

    @EventHandler
    public void onCraft(CraftItemEvent e)
    {
        Recipe r = e.getRecipe();
        ItemStack is = r.getResult();
        Player p = (Player) e.getWhoClicked();
        for (MSRod rod : plugin.loadedRods)
        {
            if (is != null && is.hasItemMeta() && is.getItemMeta().hasLore())
            {
                if (is.getItemMeta().getLore().contains(rod.getSpecialKey()))
                {
                    if (!p.hasPermission(rod.getPermission()))
                    {
                        e.setCancelled(true);
                        p.sendMessage(prefix + "4You don't have permission to craft this, requires: a" + rod.getPermission());
                        e.getView().close();
                    }
                }
            }
        }
        for (MSBow bow : plugin.loadedBows)
        {
            if (is != null && is.hasItemMeta() && is.getItemMeta().hasLore())
            {
                if (is.getItemMeta().getLore().contains(bow.getSpecialKey()))
                {
                    if (!p.hasPermission(bow.getPermission()))
                    {
                        e.setCancelled(true);
                        p.sendMessage(prefix + "4You don't have permission to craft this, requires: a" + bow.getPermission());
                        e.getView().close();
                    }
                }
            }
        }
        for (MSFood food : plugin.loadedFoods)
        {
            if (is != null && is.hasItemMeta() && is.getItemMeta().hasLore())
            {
                if (is.getItemMeta().getLore().contains(food.getSpecialKey()))
                {
                    if (!p.hasPermission(food.getPermission()))
                    {
                        e.setCancelled(true);
                        p.sendMessage(prefix + "4You don't have permission to craft this, requires: a" + food.getPermission());
                        e.getView().close();
                    }
                }
            }
        }
    }
}
